diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/class-simplepie.php ./wordpress-3.4/wp-includes/class-simplepie.php
*** ./wordpress-3.3.2/wp-includes/class-simplepie.php	2010-12-02 17:30:21.000000000 -0600
--- ./wordpress-3.4/wp-includes/class-simplepie.php	2012-05-03 11:41:59.000000000 -0500
***************
*** 1,12 ****
  <?php
! if ( !class_exists( 'SimplePie' ) ) :
  /**
   * SimplePie
   *
   * A PHP-Based RSS and Atom Feed Framework.
   * Takes the hard work out of managing a complete RSS/Atom solution.
   *
!  * Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon
   * All rights reserved.
   *
   * Redistribution and use in source and binary forms, with or without modification, are
--- 1,12 ----
  <?php
! if ( ! class_exists( 'SimplePie' ) ) :
  /**
   * SimplePie
   *
   * A PHP-Based RSS and Atom Feed Framework.
   * Takes the hard work out of managing a complete RSS/Atom solution.
   *
!  * Copyright (c) 2004-2011, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
   * All rights reserved.
   *
   * Redistribution and use in source and binary forms, with or without modification, are
***************
*** 34,43 ****
   * POSSIBILITY OF SUCH DAMAGE.
   *
   * @package SimplePie
!  * @version 1.2
!  * @copyright 2004-2009 Ryan Parman, Geoffrey Sneddon
   * @author Ryan Parman
   * @author Geoffrey Sneddon
   * @link http://simplepie.org/ SimplePie
   * @link http://simplepie.org/support/ Please submit all bug reports and feature requests to the SimplePie forums
   * @license http://www.opensource.org/licenses/bsd-license.php BSD License
--- 34,44 ----
   * POSSIBILITY OF SUCH DAMAGE.
   *
   * @package SimplePie
!  * @version 1.2.1
!  * @copyright 2004-2011 Ryan Parman, Geoffrey Sneddon, Ryan McCue
   * @author Ryan Parman
   * @author Geoffrey Sneddon
+  * @author Ryan McCue
   * @link http://simplepie.org/ SimplePie
   * @link http://simplepie.org/support/ Please submit all bug reports and feature requests to the SimplePie forums
   * @license http://www.opensource.org/licenses/bsd-license.php BSD License
***************
*** 52,63 ****
  /**
   * SimplePie Version
   */
! define('SIMPLEPIE_VERSION', '1.2');
  
  /**
   * SimplePie Build
   */
! define('SIMPLEPIE_BUILD', '20090627192103');
  
  /**
   * SimplePie Website URL
--- 53,64 ----
  /**
   * SimplePie Version
   */
! define('SIMPLEPIE_VERSION', '1.2.1');
  
  /**
   * SimplePie Build
   */
! define('SIMPLEPIE_BUILD', '20111015034325');
  
  /**
   * SimplePie Website URL
***************
*** 1672,1678 ****
  								$this->data = array('url' => $this->feed_url, 'feed_url' => $file->url, 'build' => SIMPLEPIE_BUILD);
  								if (!$cache->save($this))
  								{
! 									trigger_error("$this->cache_location is not writeable", E_USER_WARNING);
  								}
  								$cache = call_user_func(array($this->cache_class, 'create'), $this->cache_location, call_user_func($this->cache_name_function, $file->url), 'spc');
  							}
--- 1673,1679 ----
  								$this->data = array('url' => $this->feed_url, 'feed_url' => $file->url, 'build' => SIMPLEPIE_BUILD);
  								if (!$cache->save($this))
  								{
! 									trigger_error("$this->cache_location is not writeable. Make sure you've set the correct relative or absolute path, and that the location is server-writable.", E_USER_WARNING);
  								}
  								$cache = call_user_func(array($this->cache_class, 'create'), $this->cache_location, call_user_func($this->cache_name_function, $file->url), 'spc');
  							}
***************
*** 1680,1686 ****
  						}
  						else
  						{
! 							$this->error = "A feed could not be found at $this->feed_url";
  							SimplePie_Misc::error($this->error, E_USER_NOTICE, __FILE__, __LINE__);
  							return false;
  						}
--- 1681,1687 ----
  						}
  						else
  						{
! 							$this->error = "A feed could not be found at $this->feed_url. A feed with an invalid mime type may fall victim to this error, or " . SIMPLEPIE_NAME . " was unable to auto-discover it.. Use force_feed() if you are certain this URL is a real feed.";
  							SimplePie_Misc::error($this->error, E_USER_NOTICE, __FILE__, __LINE__);
  							return false;
  						}
***************
*** 1777,1803 ****
  							// Cache the file if caching is enabled
  							if ($cache && !$cache->save($this))
  							{
! 								trigger_error("$cache->name is not writeable", E_USER_WARNING);
  							}
  							return true;
  						}
  						else
  						{
! 							$this->error = "A feed could not be found at $this->feed_url";
  							SimplePie_Misc::error($this->error, E_USER_NOTICE, __FILE__, __LINE__);
  							return false;
  						}
  					}
  				}
  			}
! 			if(isset($parser))
  			{
  				// We have an error, just set SimplePie_Misc::error to it and quit
! 				$this->error = sprintf('XML error: %s at line %d, column %d', $parser->get_error_string(), $parser->get_current_line(), $parser->get_current_column());
  			}
  			else
  			{
! 				$this->error = 'The data could not be converted to UTF-8';
  			}
  			SimplePie_Misc::error($this->error, E_USER_NOTICE, __FILE__, __LINE__);
  			return false;
--- 1778,1804 ----
  							// Cache the file if caching is enabled
  							if ($cache && !$cache->save($this))
  							{
! 								trigger_error("$this->cache_location is not writeable. Make sure you've set the correct relative or absolute path, and that the location is server-writable.", E_USER_WARNING);
  							}
  							return true;
  						}
  						else
  						{
! 							$this->error = "A feed could not be found at $this->feed_url. This does not appear to be a valid RSS or Atom feed.";
  							SimplePie_Misc::error($this->error, E_USER_NOTICE, __FILE__, __LINE__);
  							return false;
  						}
  					}
  				}
  			}
! 			if (isset($parser))
  			{
  				// We have an error, just set SimplePie_Misc::error to it and quit
! 				$this->error = sprintf('This XML document is invalid, likely due to invalid characters. XML error: %s at line %d, column %d', $parser->get_error_string(), $parser->get_current_line(), $parser->get_current_column());
  			}
  			else
  			{
! 				$this->error = 'The data could not be converted to UTF-8. You MUST have either the iconv or mbstring extension installed. Upgrading to PHP 5.x (which includes iconv) is highly recommended.';
  			}
  			SimplePie_Misc::error($this->error, E_USER_NOTICE, __FILE__, __LINE__);
  			return false;
***************
*** 1831,1837 ****
  	}
  
  	/**
! 	 * Return the error message for the occurred error
  	 *
  	 * @access public
  	 * @return string Error message
--- 1832,1838 ----
  	}
  
  	/**
! 	 * Return the error message for the occured error
  	 *
  	 * @access public
  	 * @return string Error message
***************
*** 1984,1990 ****
  							}
  							else
  							{
! 								trigger_error("$cache->name is not writeable", E_USER_WARNING);
  								return $this->sanitize($favicon, SIMPLEPIE_CONSTRUCT_IRI);
  							}
  						}
--- 1985,1991 ----
  							}
  							else
  							{
! 								trigger_error("$cache->name is not writeable. Make sure you've set the correct relative or absolute path, and that the location is server-writable.", E_USER_WARNING);
  								return $this->sanitize($favicon, SIMPLEPIE_CONSTRUCT_IRI);
  							}
  						}
***************
*** 2778,2784 ****
  		{
  			return (float) $return[0]['data'];
  		}
! 		elseif (($return = $this->get_channel_tags(SIMPLEPIE_NAMESPACE_GEORSS, 'point')) && preg_match('/^((?:-)?[0-9]+(?:\.[0-9]+)) ((?:-)?[0-9]+(?:\.[0-9]+))$/', $return[0]['data'], $match))
  		{
  			return (float) $match[1];
  		}
--- 2780,2786 ----
  		{
  			return (float) $return[0]['data'];
  		}
! 		elseif (($return = $this->get_channel_tags(SIMPLEPIE_NAMESPACE_GEORSS, 'point')) && preg_match('/^((?:-)?[0-9]+(?:\.[0-9]+)) ((?:-)?[0-9]+(?:\.[0-9]+))$/', trim($return[0]['data']), $match))
  		{
  			return (float) $match[1];
  		}
***************
*** 2798,2804 ****
  		{
  			return (float) $return[0]['data'];
  		}
! 		elseif (($return = $this->get_channel_tags(SIMPLEPIE_NAMESPACE_GEORSS, 'point')) && preg_match('/^((?:-)?[0-9]+(?:\.[0-9]+)) ((?:-)?[0-9]+(?:\.[0-9]+))$/', $return[0]['data'], $match))
  		{
  			return (float) $match[2];
  		}
--- 2800,2806 ----
  		{
  			return (float) $return[0]['data'];
  		}
! 		elseif (($return = $this->get_channel_tags(SIMPLEPIE_NAMESPACE_GEORSS, 'point')) && preg_match('/^((?:-)?[0-9]+(?:\.[0-9]+)) ((?:-)?[0-9]+(?:\.[0-9]+))$/', trim($return[0]['data']), $match))
  		{
  			return (float) $match[2];
  		}
***************
*** 3278,3283 ****
--- 3280,3290 ----
  		{
  			return $this->sanitize($return[0]['data'], SIMPLEPIE_CONSTRUCT_TEXT);
  		}
+ 		elseif ($return = $this->get_item_tags(SIMPLEPIE_NAMESPACE_RSS_090, 'description'))
+ 		{
+ 			return $this->sanitize($return[0]['data'], SIMPLEPIE_CONSTRUCT_HTML);
+ 		}
+ 
  		elseif (!$description_only)
  		{
  			return $this->get_content(true);
***************
*** 3642,3648 ****
  		{
  			return $this->sanitize($this->get_date(''), SIMPLEPIE_CONSTRUCT_TEXT);
  		}
! 		elseif (($date = $this->get_date('U')) !== null)
  		{
  			return strftime($date_format, $date);
  		}
--- 3649,3655 ----
  		{
  			return $this->sanitize($this->get_date(''), SIMPLEPIE_CONSTRUCT_TEXT);
  		}
! 		elseif (($date = $this->get_date('U')) !== null && $date !== false)
  		{
  			return strftime($date_format, $date);
  		}
